# ldap_mod_replace

(PHP 4, PHP 5, PHP 7)

ldap_mod_replace — Replace attribute values with new ones

### Description

ldap_mod_replace ( resource `$link_identifier` , string `$dn` , array `$entry` [, array `$serverctrls` = array() ] ) : bool

Replaces one or more attributes from the specified `dn`. It may also add or remove attributes.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`dn`

  The distinguished name of an LDAP entity.

`entry`

  An associative array listing the attributes to replace. Sending an empty array as value will remove the attribute, while sending an attribute not existing yet on this entry will add it.

`serverctrls`

  Array of LDAP Controls to send with the request.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
7.3 | Support for `serverctrls` added

### Notes

> Note: This function is binary-safe.

### See Also

- ldap_mod_replace_ext() - Replace attribute values with new ones
- ldap_mod_del() - Delete attribute values from current attributes
- ldap_mod_add() - Add attribute values to current attributes
- ldap_modify_batch() - Batch and execute modifications on an LDAP entry